Subject: Re: [manet] #2: Terminology for reactive protocol document

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 19:43:46 +0000

I always supported that terminology documents SHOULD be considered in all
IETF WGs, and also I noted in my input the reasons for unclear
issues, because of terms and some detail information which I got to
understand after DYMO authors reply. However, I do encourge using
similar terms within all MANET WG documents, however, terms definitions
should relate to such specifications.

AB

On Tue, Oct 30, 2012 at 5:42 PM, manet issue tracker <
[email-masked]> wrote:

> #2: Terminology for reactive protocol document
>
>  Several people have commented that the DYMO/AODVv2 specification is hard
>  to understand.  Part of the problem is that the terminology is not always
>  consistent with the terminology used in other documents (e.g., OLSRv2).
>  Also, some of the language used in the document is not very natural.
>  Finally, important datasets within the reactive protocol document should
>  be identified and used consistently within the specification.  As one
>  example, the fields of a Route Table Entry are already listed in section
>  4.1.  Other such datasets should be identified and made more precise (for
>  instance, as may be needed for blacklisted neighbors).  Another possible
>  source of confusion is that some terms (e.g., OrigNode) might be thought
>  to mean different things in different parts of the document.
>
>  The proposal is to use terminology from OLSRv2 where appropriate, and to
>  change the names of other important concepts within the reactive protocol
>  wherever they may be unclear, and to attempt to use terms that mean the
>  same thing throughout the document.
>
> --
> --------------------------------+---------------------------------
>  Reporter:  charliep@…          |      Owner:  Charlie Perkins
>      Type:  enhancement         |     Status:  new
>  Priority:  major               |  Milestone:
> Component:  dymo                |    Version:
>  Severity:  Active WG Document  |   Keywords:  terminology clarity
> --------------------------------+---------------------------------
>
> Ticket URL: <http://trac.tools.ietf.org/wg/manet/trac/ticket/2>
> manet <http://tools.ietf.org/manet/>
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>